org.apache.cassandra.streaming

## Class StreamSession.SSTableStreamingSections

- java.lang.Object
- - org.apache.cassandra.streaming.StreamSession.SSTableStreamingSections

- Enclosing class:
    StreamSession

      public static class StreamSession.SSTableStreamingSections
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `estimatedKeys`
    `Ref<SSTableReader>` | `ref`
    `long` | `repairedAt`
    `java.util.List<Pair<java.lang.Long,java.lang.Long>>` | `sections`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableStreamingSections(Ref<SSTableReader> ref, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, long estimatedKeys, long repairedAt)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ref

          public final Ref<SSTableReader> ref

    - #### sections

          public final java.util.List<Pair<java.lang.Long,java.lang.Long>> sections

    - #### estimatedKeys

          public final long estimatedKeys

    - #### repairedAt

          public final long repairedAt

  - ### Constructor Detail

    - #### SSTableStreamingSections

          public SSTableStreamingSections(Ref<SSTableReader> ref,
                                          java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                                          long estimatedKeys,
                                          long repairedAt)

Copyright © 2018 The Apache Software Foundation